org.springframework.web.client

## Class ResourceAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.client.RestClientException
          - - org.springframework.web.client.ResourceAccessException

All Implemented Interfaces:
  Serializable

    public class ResourceAccessException
    extends RestClientException

Exception thrown when an I/O error occurs.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResourceAccessException(String msg)` Construct a new `HttpIOException` with the given message.
`ResourceAccessException(String msg, IOException ex)` Construct a new `HttpIOException` with the given message and `IOException`.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceAccessException

    public ResourceAccessException(String msg)

Construct a new `HttpIOException` with the given message.

Parameters:
  `msg` - the message

#### ResourceAccessException

    public ResourceAccessException(String msg,
                           IOException ex)

Construct a new `HttpIOException` with the given message and `IOException`.

Parameters:
  `msg` - the message
  `ex` - the `IOException`